Bug 1498360 - OPS Tools | Availability Monitoring | Health checks representation in Uchiwa should be redone because of containers introduction in osp12.
Summary: OPS Tools | Availability Monitoring | Health checks representation in Uchiwa ...
Status: ON_DEV
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opstools-ansible   
(Show other bugs)
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Lars Kellogg-Stedman
QA Contact: Leonid Natapov
URL:
Whiteboard:
Keywords: Tracking
: 1505321 1510408 1510409 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-04 06:51 UTC by Leonid Natapov
Modified: 2019-02-27 05:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
RDO 10731 None None None 2017-11-29 07:55 UTC

Description Leonid Natapov 2017-10-04 06:51:03 UTC
Health checsk representation in Uchiwa should be redone because of containers introduction in osp12.

In OSP11 we had checks for each service and each service was shown in Uchiwa along with its status (active,not active,etc).

In OSP12 with introduction of the containers we have one single check docker_health_check that shows unhealthy containers under its "output" which looks very user unfriendly and really hard to understand what is going on.

Here is the example of how it looks like: 

--------------
output:
/nova_vnc_proxy (71529e4ffa5e): There is no nova-novncproxy process with opened RabbitMQ ports (5671,5672) running in the container /ceilometer_agent_central (3493da8311b5): There is no ceilometer-poll process with opened RabbitMQ ports (5671,5672) running in the container /aodh_evaluator (00fa97538ae5): There is no aodh-evaluator process with opened RabbitMQ ports (5671,5672) running in the container
-------------

We have to show in Uchiwa a list of containers each one shows its status (healthy/unhealthy)

Comment 1 Martin Magr 2017-11-08 11:46:24 UTC
*** Bug 1505321 has been marked as a duplicate of this bug. ***

Comment 2 Martin Magr 2017-11-08 11:49:39 UTC
*** Bug 1510409 has been marked as a duplicate of this bug. ***

Comment 3 Martin Magr 2017-11-22 18:30:49 UTC
*** Bug 1510408 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.